For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
            • GETList Orders
            • POSTCreate Order
            • GETGet Order
            • PUTUpdate Order
            • PUTReassign Orders to Different Company
            • GETList Order Products
            • PUTAssign Customer Orders to Company
            • GETList Order Extra Field Configs
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementOrders

Update Order

PUT
https://api-b2b.bigcommerce.com/api/v3/io/orders/:bcOrderId
PUT
/api/v3/io/orders/:bcOrderId
$curl -X PUT https://api-b2b.bigcommerce.com/api/v3/io/orders/123 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 1,
3 "data": [
4 {
5 "id": 12345,
6 "bcOrderId": 123,
7 "totalIncTax": 2210.47,
8 "poNumber": "04152025-0002",
9 "status": "Awaiting Payment",
10 "customStatus": "Invoice Sent",
11 "cartId": "095a15a6-8a27-4c20-b357-36b82e9d5929",
12 "items": 50,
13 "usdIncTax": 2210.47,
14 "companyId": 12345,
15 "currencyCode": "USD",
16 "money": [
17 {
18 "currencyLocation": "left",
19 "currencyToken": "$",
20 "decimalToken": ".",
21 "decimalPlaces": 2,
22 "thousandsToken": ","
23 }
24 ],
25 "statusCode": 7,
26 "isArchived": false,
27 "channelId": 1,
28 "channelName": "B2B Store",
29 "isInvoiceOrder": 0,
30 "invoiceId": 12345,
31 "invoiceNumber": 12345678,
32 "invoiceStatus": 2,
33 "extraInt1": 12345,
34 "extraInt2": 12345,
35 "extraInt3": 12345,
36 "extraInt4": 12345,
37 "extraInt5": 12345,
38 "extraStr1": "Great Buys Incorporated",
39 "extraStr2": "Great Buys Incorporated",
40 "extraStr3": "Great Buys Incorporated",
41 "extraStr4": "Great Buys Incorporated",
42 "extraStr5": "Great Buys Incorporated",
43 "extraText": "Great Buys Incorporated",
44 "extraInfo": [
45 {
46 "billingAddressId": 12345,
47 "shippingAddressId": 12345
48 }
49 ],
50 "extraFields": [
51 {
52 "fieldName": "Fintech ID",
53 "fieldValue": "1234567890"
54 }
55 ],
56 "createdAt": 1744735719,
57 "updatedAt": 1744735734
58 }
59 ],
60 "message": "SUCCESS"
61}
Updates B2B information on a specific order based on the `bcOrderId` provided. The `bcOrderId` parameter must include a valid BigCommerce Order ID (**not** the B2B Edition order ID returned in certain Orders endpoints) for the request to be successful. You must also include at least one of the following fields in the request body: - `poNumber` - `extraFields` (array with `fieldName` and `fieldValue`) - This array must be included if your store has required order extra fields.
Was this page helpful?
Previous

Get Order

Next

Reassign Orders to Different Company

Built with

Updates B2B information on a specific order based on the bcOrderId provided.

The bcOrderId parameter must include a valid BigCommerce Order ID (not the B2B Edition order ID returned in certain Orders endpoints) for the request to be successful. You must also include at least one of the following fields in the request body:

  • poNumber
  • extraFields (array with fieldName and fieldValue)
    • This array must be included if your store has required order extra fields.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

bcOrderIdintegerRequired
The BigCommerce order ID.

Request

This endpoint expects an object.
poNumberstringOptional

The order’s Purchase Order (PO), if used.

extraFieldslist of anyOptional
Contains extra field information associated with the order.

Response

OK
codeintegerDefaults to 200
HTTP Response Code
datalist of objects
messagestringDefaults to SUCCESS

Errors

404
Not Found Error
422
Unprocessable Entity Error